# $Revision: 1.45 $, $Date: 2009/05/18 08:53:03 $
Summary:	DMAPI library
Summary(pl.UTF-8):	Biblioteka DMAPI
Name:		dmapi
Version:	2.2.10
Release:	1
# doc/COPYING mentions LGPL for files in "dmapi", but all sources are explicitly marked GPL
License:	GPL v2
Group:		Libraries
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
# Source0-md5:	c6e4ace10c446bbb92576e5dd19aec24
Patch0:		%{name}-miscfix.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sed >= 4.0
BuildRequires:	xfsprogs-devel >= 2.6.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
DMAPI, or XDSM, is an implementation of the X/Open document: Systems
Management: Data Storage Management (XDSM) API dated February 1997.
This interface is made available for the XFS filesystem by means of
the libdm library.

See the XDSM manual at
http://www.opengroup.org/onlinepubs/9657099/toc.htm for a description
of the functions offered by libdm library.

%description -l pl.UTF-8
DMAPI (albo XDSM) to implementacja dokumentu X/Open "Systems
Management: Data Storage Management (XDSM) API) z lutego 1997. Ten
interfejs jest dostępny dla systemu plików XFS poprzez bibliotekę
libdm.

Opis funkcji oferowanych przez bibliotekę libdm jest w podręczniku:
http://www.opengroup.org/onlinepubs/9657099/toc.htm

%package devel
Summary:	Header files for DMAPI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki DMAPI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xfsprogs-devel

%description devel
Header files required to develop software which uses DMAPI.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia oprogramowania używającego
DMAPI.

%package static
Summary:	Static DMAPI library
Summary(pl.UTF-8):	Statyczna biblioteka DMAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of DMAPI library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki DMAPI.

%prep
%setup -q
%patch0 -p1

%build
rm -f aclocal.m4
%{__aclocal} -I m4
%{__autoconf}
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST=$DIST_INSTALL
%{__make} install-dev \
	DIST_MANIFEST=$DIST_INSTALL_DEV

rm -f $RPM_BUILD_ROOT%{_libexecdir}/libdm.so
ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} ; echo libdm.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libdm.so
%{__sed} -i "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/libdm.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING specifies which parts are on LGPL/GPL
%doc doc/{CHANGES,COPYING}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/lib*.so
%{_libexecdir}/lib*.la
%{_includedir}/xfs/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dmapi.spec,v $
Revision 1.45  2009/05/18 08:53:03  arekm
- up to 2.2.10

Revision 1.44  2009/02/23 06:14:29  arekm
- rel 2; upstream tarball has changed (was repackaged)

Revision 1.43  2009/02/05 06:16:28  arekm
- up to 2.2.9

Revision 1.42  2008/06/18 15:17:13  qboosh
- GPL v2

Revision 1.41  2008/06/18 15:11:50  qboosh
- updated Source0 URL

Revision 1.40  2007/05/14 22:20:05  qboosh
- updated to 2.2.8

Revision 1.39  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.37  2006/06/22 06:22:33  arekm
- up to 2.2.5

Revision 1.36  2006/01/21 20:48:51  qboosh
- updated to 2.2.3

Revision 1.35  2005/05/21 19:01:18  pluto
- release 2 for Th.

Revision 1.34  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.33  2004/10/17 15:12:40  qboosh
- updated to 2.2.1, updated miscfix patch
- hack libdir in libdm.la to get proper dependency_libs in dependent libs

Revision 1.32  2004/07/29 21:47:09  qboosh
- fixed libdirs

Revision 1.31  2004/05/13 18:39:59  areq
- 2.2.0

Revision 1.30  2004/03/27 12:45:18  areq
- Source 2004-03-26

Revision 1.29  2003/12/01 09:52:54  qboosh
- fixed URL

Revision 1.28  2003/12/01 09:50:42  areq
- 2.1.0

Revision 1.27  2003/08/22 10:35:46  areq
- source from Release-1.3

Revision 1.26  2003/08/08 19:49:56  qboosh
- added miscfix patch for proper headers detection

Revision 1.25  2003/08/08 18:20:11  gotar
- upgraded to 2.0.8

Revision 1.24  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.23  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:46:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.20  2002/11/25 15:28:46  qboosh
- fixed new %%doc and License

Revision 1.19  2002/11/25 14:46:24  marcus
- use new %%doc

Revision 1.18  2002/08/13 16:19:14  baggins
- updated to 2.0.5

Revision 1.17  2002/05/26 12:36:40  baggins
- release 2
- fixed .so link

Revision 1.16  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/25 16:12:36  arturs
fixed a small typo

Revision 1.14  2002/04/24 20:44:17  qboosh
- pass opt CFLAGS, release 3

Revision 1.13  2002/04/15 10:55:44  qboosh
- changed base Group to Libraries
- -devel Requires: xfsprogs (dependency_libs = -lhandle)
- removed include/xfs dir from -devel (present in xfsprogs-devel)
- release 2

Revision 1.12  2002/04/10 22:55:19  baggins
- buildrequires xfsprogs-devel

Revision 1.11  2002/04/09 07:58:43  areq
- 2.0.0, STBR

Revision 1.10  2002/04/03 21:37:05  kloczek
- cosmetics.

Revision 1.9  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.5  2002/01/02 18:44:05  baggins
- fixed wrong symlink

Revision 1.4  2001/10/11 12:32:53  qboosh
- adapterized, pl translations, BuildRequires: autoconf

Revision 1.3  2001/10/08 16:16:49  baggins
- shared lib fix

Revision 1.2  2001/10/08 15:59:02  baggins
- updated to 0.2.2

Revision 1.1  2001/06/01 13:24:50  baggins
- initial revision
